<?php

//require_once require_once realpath(dirname(__FILE__)) . '/../Util/Utilidades.php';

class FormAjax {
	
	
	/*
	 * 
	 * Funções para o Arquivo que será o form
	 * 
	 */
	public static function javascriptTrocarIdioma($soFormPHP, $local='#dados', $funcao='mostrarFormAtualizar'){
		echo '<script type="text/javascript">';
		echo 'function '. $funcao . '(facao, fpk, flang, flocal=\'#dados\'){';
		echo 	'if (facao != "null")';
		echo 	'{';
		echo		'$.post("' . $soFormPHP . '",{acao: facao, pk: fpk, lang: flang},';
                echo	'function(data){';
                echo    'var msgIdioma = $.msg(\'Carregando formulário no idioma selecionado.\',{header:\'Informação\'},{sticky:true});';
		echo	'tratarDados(data,\'' . $local .'\');';
                echo	'}).done(';
                echo    'function(data) {';
                echo    'msgIdioma.close();';
                echo    '}'; //fim do function done
                echo    ');'; //fim do done
		echo	'}';//fim do if
		echo	'}';		
        echo '</script>';
	}
        
        public static function PrepararFormAjax($fform)
        {
            echo '<script>';
            echo "$('$fform').ready(function(){";
            echo "$('$fform').wl_Form({";
            echo  "onSuccess: function(data, status){";
            echo  "$.msg(data,{header:'Informação', live:10000});";
            echo  "},";
            echo  "onError: function(status, error, jqXHR){";
            echo  '$.msg("Falha ao enviar formulário\nStatus do erro: "+status+"\nMensagem do erro: "+error,{header:\'AVISO!OPS!:(\', sticky:true});';
            echo  "}";
            echo  "});";
            echo '});';
            echo '</script>';
        }
	
	/*
	 * Criar campo e atributos para upload ajax
	 * 
	 */
	
	public static function criarCampoAjaxUpload($nomeCampo, $class=''){
                if ($class == '')
                {
                    $classe = '';
                }   else
                {
                    $classe = ' class="' . $class . '" ';
                }
		echo '<input id="' . $nomeCampo . '" name="' . $nomeCampo . '" type="file" size="45" class="input">';
		echo '<br/><input ' . $classe . ' type="button" onclick="ajaxFileUpload(\'../jscripts/ajax/doajaxfileupload.php\', \'' . $nomeCampo . '\')" value="Enviar">';
		echo '<input type="hidden" id="' . $nomeCampo . 'name" name="' . $nomeCampo . 'name" value="null"/>';
		echo '<input type="hidden" id="' . $nomeCampo . 'tmp_name" name="' . $nomeCampo . 'tmp_name" value="null"/>';
		echo '<input type="hidden" id="' . $nomeCampo . 'size" name="' . $nomeCampo . 'size" value="null"/>';
		echo '<input type="hidden" id="' . $nomeCampo . 'type" name="' . $nomeCampo . 'type" value="null"/>';
	}
	
	/*
	 * Criar Seletor de Idioma
	 */
	public static function criarSeletorIdioma($acao, $pk, $lang, $funcao='mostrarFormAtualizar'){
		$combo = '<select id="comboIdioma' . $funcao .'" name="comboIdioma' . $funcao .'" onchange="trocarIdioma(\'#comboIdioma' . $funcao . '\',\''. $acao . '\', \'' . $pk . '\',\'' . $lang . '\', \'' . $funcao .'\')">';
		$opIdiomas = new Opidiomas();
		$opIdiomas->find(); 
		$combo.= Lumine_Util::buildOptions($opIdiomas,'lang','nome',$lang);
		$combo.= '</select>';
                return $combo;
	}
	
	public static function criarSeletorIdiomaAjax($arquivo, $local, $acao, $pk, $lang, $combo = ''){
		echo '<select id="comboIdioma' . $combo . '" name="comboIdioma" onchange="trocarIdiomaAjax(\'' . $arquivo . '\',\'' . $local . '\',\'#comboIdioma' . $combo . '\',\''. $acao . '\', \'' . $pk . '\',\'' . $lang . '\')">';
		$opIdiomas = new Opidiomas();
		$opIdiomas->find(); 
		echo Lumine_Util::buildOptions($opIdiomas,'lang','nome',$lang);
		echo '</select>';
	}

        public static function criarSeletorIdiomaComum($acao, $pk, $lang){
		$opIdiomas = new Opidiomas();
		//$opIdiomas->find();
                echo Idiomas::getTexto('Idioma atual é:');
                $opIdiomas->getLang($lang);
                $opIdiomas->find(true);
                echo '<b>'. $opIdiomas->getNome() . '</b><br/>';
                if ($acao != 'inserir')
                {
                    echo Idiomas::getTexto('Selecionar idioma');
                    $opIdiomas = new Opidiomas();
                    $opIdiomas->find();
                    while ($opIdiomas->fetch())
                    {
                        echo '<a href="../site/clienteProduto.php?pk=' . $pk . '&amp;acao=' .$acao . '&amp;lang=' . $opIdiomas->getLang() . '">' . $opIdiomas->getNome() . '</a> - ';
                    }
                }
	}
        
        public static function ExcluirRegistro($arquivoCMD){
            echo '<script>';
            echo 'function excluirRegistro(pk, nome){';
            echo '$.confirm(\'Deseja excluir o registro?\nID:\' + pk + \' - \' + nome,function(){';
            echo '$.post(\'' . $arquivoCMD . '\',\'pk=\' + pk + \'&acao=excluir\', function(data){';
            echo '$.msg(data,{header:\'Informação\', live:10000});';
            echo '});';
            echo '});';
            echo '}';
            echo '</script>';
        }
	
}
?>